Microstrategy error R Script

May 5, 2015 at 8:04 PM
When I used R function in Microstrategy...

[Analytical Services][Error][0x80002434] Analytical Engine plug-in function error: [CRFPCommonNNGEN::ExRScript: R script execution failed: could not find function "install.packages"]
May 8, 2015 at 4:25 PM
Hi qwety,

That error looks like it is referencing the "install.packages" part of the code block in the R script. I am assuming that you are using an off-the-shelf script from the website? If you edit the file in R, you should see that code block up near the top. What it's doing is checking to see if the Server's (or client's) version of R has the necessary packages installed to run the analysis, if they are not installed, it attempts to install them with the install.packages command.

If you installed both R and the R integration pack on the Server (or client), that function should be available. One thing you could try is going into R on the Server and manually typing the command into the R console to install the necessary pacakages. For example, if you were using the ARIMA script, you would need the forecast package:
install.packages("forecast")
Then try running the script again. It should skip the code block with the offending function call now, because the IF statement that checks for the packages existence should pass over the installation code block.

Erik